<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{21E9B41E-28F4-421B-B69B-0CD2D347744B}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FasdCockpitCommunication</RootNamespace>
    <AssemblyName>F4SD-Cockpit-Client-Communication</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>false</Deterministic>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Demo%28Debug%29|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Demo%28Debug%29\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'NewFeatures%28Debug%29|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\NewFeatures%28Debug%29\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.4\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Communication.Agent.cs">
      <Link>Common\C4IT.FASD.Communication.Agent.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Security.cs">
      <Link>Common\C4IT.FASD.Security.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Http\C4IT.HttpHelper.cs">
      <Link>Common\C4IT.HttpHelper.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogNetwork.cs">
      <Link>Common\C4IT.Logging.LogNetwork.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.Base32.cs">
      <Link>Common\C4IT.Security.Base32.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.OneTimePw.cs">
      <Link>Common\C4IT.Security.OneTimePw.cs</Link>
    </Compile>
    <Compile Include="..\..\Matrix42\M42CommonCode\M42WebClient\C4IT.Matrix42.WebClient.cs">
      <Link>Common\C4IT.Matrix42.WebClient.cs</Link>
    </Compile>
    <Compile Include="..\Shared\SharedAssemblyInfo.cs">
      <Link>Properties\SharedAssemblyInfo.cs</Link>
    </Compile>
    <Compile Include="F4sdCockpitCommunicationM42Web.cs" />
    <Compile Include="FasdCockpitCommunicationWeb.cs" />
    <Compile Include="FasdCockpitMachineConfiguration.cs" />
    <Compile Include="TicketOverview\TicketOverviewCountsResponse.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\F4SD-Logging\F4SD-Logging.csproj">
      <Project>{7793f281-b226-4e20-b6f6-5d53d70f1dc1}</Project>
      <Name>F4SD-Logging</Name>
    </ProjectReference>
    <ProjectReference Include="..\FasdCockpitBase\F4SD-Cockpit-Client-Base.csproj">
      <Project>{6dced162-2229-4483-ba70-4471bcdd29cf}</Project>
      <Name>F4SD-Cockpit-Client-Base</Name>
    </ProjectReference>
    <ProjectReference Include="..\FasdCockpitCommunicationDemo\F4SD-Cockpit-Client-Demo.csproj">
      <Project>{6efd86ac-d73e-47ac-aafc-d8ea3f8ade93}</Project>
      <Name>F4SD-Cockpit-Client-Demo</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
  </Target>
</Project>